Skip to content

Updates & Callbacks

  • Endpoint: POST /payLinkResultNotifyUrl
  • Tags: Collection Service/PayByLink

Description

Call back link details when the link is successfully paid. It is not necessary to actively requested this address for the merchant. The following request.body is the callback content of payermax for the order status. The merchant needs to respond {"msg": "Success","code": "SUCCESS"} after receiving the callback.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Return code, ‘APPLY_SUCCESS’ means success.
msgstringYesmaxLength: 256Return message, ‘Success.’
keyVersionstringYesmaxLength: 8key version. Current value: 1
appIdstringYesmaxLength: 64merchant app id.
merchantNostringYesmaxLength: 15merchant Id.
notifyTimestringYesmaxLength: 16Notification time, conforming to rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX.
notifyTypestringYesmaxLength: 16Notification type PAYBYLINK.
dataobjectNo
data.linkIdstringYesmaxLength: 64PMmax link unique number.
data.merchantLinkIdstringYesmaxLength: 64Merchant link unique order number.
data.linkUrlstringYesmaxLength: 256PayByLink url.
data.qrCodeUrlstringYesmaxLength: 256PayByLink QRcode url.
data.linkStatusstringYesmaxLength: 16ACTIVE、EXPIRED.
data.totalAmountstringYesmaxLength: 24order amount.
data.countrystringYesmaxLength: 2Country code, uppercase letters. If the passed country code does not match the currency, the cash register will be displayed in the region corresponding to the currency code. If the payment method is specified, the country must be sent, see【Trading Supported Countries/Regions and Currencies
data.currencystringYesmaxLength: 3Currency code, uppercase letters, see【Trading Supported Countries/Regions and Currencies
data.expiresAtstringYesmaxLength: 32The specific time when the link expires.
data.linkDescriptionstringNoLink description, not displayed to users, used for merchant notes.
data.payByLinkInfoarray[object]NoThe transaction details structure of the linked order will only return successful payment details.
data.payByLinkInfo[].outTradeNostringNomaxLength: 64The unique identifier of each transaction order, when the link does not generate a transaction, this field is empty.
data.payByLinkInfo[].statusstringYesmaxLength: 32Transaction status: SUCCESS、PENDING、CLOSE.SUCCESS, PENDING, CLOSE
data.payByLinkInfo[].completeAtstringNomaxLength: 32Transaction success time, only when the transaction status is successful, return this time.
data.payByLinkInfo[].paymentDetailsarray[object]NoPayment information, the payment method will be returned only if the transaction is successful.
data.payByLinkInfo[].paymentDetails[].targetOrgstringNomaxLength: 64Target institution, the target institution selected by the user for payment, and the target institution selected by the user for payment will be returned only if the transaction is successful.
data.payByLinkInfo[].paymentDetails[].paymentMethodTypestringNomaxLength: 64Payment method type, the payment method selected by the user to pay, and the payment method selected by the user to pay will be returned only if the transaction is successful.
data.payByLinkInfo[].paymentDetails[].cardInfoobjectNoCard Info
data.payByLinkInfo[].paymentDetails[].cardInfo.cardOrgstringNomaxLength: 32Card Scheme, will return when the user chooses card scheme to pay
data.payByLinkInfo[].paymentDetails[].cardInfo.countrystringNomaxLength: 2Card issuing country
data.payByLinkInfo[].paymentDetails[].cardInfo.cardTypestringNomaxLength: 32Card funding type, such as DEBITCREDIT and so on.
data.payByLinkInfo[].paymentDetails[].cardInfo.totalCardOrgarray[string]NoBrand of the card.Dual-standard card returns two brands.
data.payByLinkInfo[].paymentDetails[].cardInfo.typestringNomaxLength: 32Type of the card. PAN is a full pan; NETWORK_TOKEN is not a full pan, such as APPLEPAY.
data.payByLinkInfo[].paymentDetails[].cardInfo.sourcestringNomaxLength: 32Source of the card. CARDAPPLEPAYGOOGLEPAY_PANGOOGLEPAY_CRYPTOGRAMNETWORK_TOKEN
data.payByLinkInfo[].paymentDetails[].cardInfo.cardBinNostringNomaxLength: 16Card BIN number.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardNumberstringNomaxLength: 32Masked card number.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardHolderNamestringNomaxLength: 128Masked cardholder name.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardLast4stringNomaxLength: 4The last four digits of the card.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardExpirationYearstringNomaxLength: 2Two-digit number representing the card’s expiration year.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardExpirationMonthstringNomaxLength: 2Two-digit number representing the card’s expiration month.
data.payByLinkInfo[].paymentDetails[].cardInfo.cardIdentifierNo ⚠️stringNomaxLength: 19Card number, the ciphertext is returned when paymentMethod is CARD

Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "Success.",
  "keyVersion": "1",
  "appId": "a801ef1fa1a74db683aed2d768a41df1",
  "merchantNo": "020113827303196",
  "notifyTime": "2022-10-20T10:00:00.500+08:00",
  "notifyType": "PAYBYLINK",
  "data": {
    "linkId": "jyirffse",
    "merchantLinkId": "paybylinktest001",
    "totalAmount": "10000",
    "country": "ID",
    "currency": "IDR",
    "linkStatus": "active",
    "expiresAt": "2022-11-22T10:00:00.500+08:00",
    "linkUrl": "https://www.payermax.link/mtfbpomjw",
    "qrCodeUrl": "https://www.payermax.link/images/mtfbpomjwquc/qrcode",
    "payByLinkInfo": [
      {
        "outTradeNo": "order2022001",
        "status": "SUCCESS",
        "completeAt": "2022-10-20T10:00:00.500+08:00",
        "paymentDetails": [
          {
            "targetOrg": "",
            "paymentMethodType": "CARD",
            "cardInfo": {
              "cardOrg": "VISA",
              "cardNumber": "625244****9483"
            }
          }
        ]
      }
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘ SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "code": "SUCCESS",
  "msg": "Success"
}

Enum Reference

data.payByLinkInfo[].status

  • SUCCESS
  • PENDING
  • CLOSE

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.